package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ArContent;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ArContentMapper")
public interface ArContentMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ArContent record);

    ArContent selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ArContent record);

    List<ArContent> queryAllArContent(ArContent record);

    List<ArContent> queryArContentByPage(Map<String, Object> parameter);

    int delete(ArContent record);

    ArContent queryArContent(ArContent record);

    List<ArContent> query(ArContent record);
}

